#!/bin/sh
set -C -e -u

cp gmp/examples/* "$AUTOPKGTEST_TMP"
cd "$AUTOPKGTEST_TMP"

mkdir obj
gprbuild -v gmp_examples.gpr

./isprime > result1 <<EOF
7
6

EOF

diff result1 - <<EOF
Enter candidate number (return to quit): 7 is a prime
Enter candidate number (return to quit): 6 is not a prime
Enter candidate number (return to quit): 
EOF
